Subject: Re: bug#41005: problem with rendering Persian text in Emacs 27

From: Robert Pluim <[email-masked]>
Date: Tue, 21 Jul 2020 15:34:37 +0200

>>>>> On Tue, 21 Jul 2020 08:40:56 -0400, Amin Bandali <[email-masked]> said:

    Amin> Hi Eli, Pip,
    Amin> Thank you for working on this and fixing it on emacs-27 per the reports.

    Amin> I have not been able to keep a close eye on GNU lists and trackers for a
    Amin> while now, but I was wondering if there's been any more progress/updates
    Amin> on this issue on master?  I sometimes read/write in Persian, and this
    Amin> bug is quite an annoyance. :-)  Changing the text scale (C-x C-=) and/or
    Amin> filling the paragraph (M-q) seems to sometimes help, but not always; and
    Amin> the issue remains.

emacs-27 gets merged to master on a regular basis, and the relevant
commit is present in both:

$ git branch --contains 30a7ee505a
* emacs-27
+ master

Are you still seeing issues with the latest master?

Robert